Qore Programming Language Reference Manual: <nothing> Class Reference

Qore Programming Language Reference Manual 0.8.11

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
Public Member Functions | List of all members
<nothing> Class Reference

Methods in this pseudo-class can be executed on NOTHING. More...

Inheritance diagram for Qore::<nothing>:
[legend]

## Public Member Functions
SingleValueIterator | contextIterator ()
| Returns an empty SingleValueIterator object. More...
nothing | firstKey ()
| Returns NOTHING. More...
nothing | firstValue ()
| Returns NOTHING. More...
bool | hasKey (softstring key)
| Returns True if the key exists in the hash (may or may not be assigned a value), False if not. More...
bool | hasKeyValue (softstring key)
| Returns True if the key exists and is assigned to a value, False if not. More...
SingleValueIterator | keyIterator ()
| Returns an empty SingleValueIterator object. More...
list | keys ()
| Returns an empty list. More...
nothing | lastKey ()
| Returns NOTHING. More...
nothing | lastValue ()
| Returns NOTHING. More...
int | lsize ()
| Returns 0. More...
SingleValueIterator | pairIterator ()
| Returns an empty SingleValueIterator object. More...
SingleValueIterator | rangeIterator ()
| Returns an empty SingleValueIterator object. More...
int | typeCode ()
| Returns Qore::NT_NOTHING. More...
list | values ()
| Returns an empty list. More...
Public Member Functions inherited from <value>
bool | callp ()
| Returns False; this method is reimplemented in other types and will return True if the given expression is a callable value (ie closures or call references) More...
bool | empty ()
| Returns True; this method will be reimplemented in container types where it may return False. More...
bool | intp ()
| Returns False; this method is reimplemented in other types and will return True if the given expression can be converted to an integer. More...
AbstractIterator | iterator ()
| Returns an iterator object for the value; the default iterator object returned is SingleValueIterator. More...
int | lsize ()
| Returns 1; the return value of this method should give the list size of the value, which is normally 1 for non-lists (except for NOTHING where the size will be 0) and the number of the elements in the list for lists; this method will be reimplemented in other types where it may return other values. More...
int | size ()
| Returns zero; this method will be reimplemented in container types where it may return a non-zero value. More...
bool | sizep ()
| Returns True if the type can return a non-zero size (True for containers including binary objects and strings, False for everything else) More...
bool | strp ()
| Returns False; this method is reimplemented in other types and will return True if the given expression can be converted to a string. More...
bool | toBool ()
| Returns the boolean representation of the value; the default is False. More...
float | toFloat ()
| Returns the floating-point representation of the value; the default is 0.0. More...
int | toInt ()
| Returns the integer representation of the value; the default is 0. More...
number | toNumber ()
| Returns the arbitrary-precision numeric representation of the value; the default is 0. More...
string | toString ()
| Returns the string representation of the value; the default is an empty string. More...
string | type ()
| Returns the string type for the value. More...
int | typeCode ()
| Returns the type code for the value. More...
bool | val ()
| Returns False; this method is reimplemented in other types and will return True if the given expression has a value that would be converted to True according to the rules described in %perl-bool-eval. More...

## Detailed Description

Methods in this pseudo-class can be executed on NOTHING.

## Member Function Documentation

SingleValueIterator <nothing>::contextIterator | ( |  | ) |

Returns an empty SingleValueIterator object.

Returns
  an empty SingleValueIterator object

Code Flags:
  CONSTANT

Example:
  map printf("+ %y\n", $1), get_hash_or_nothing().contextIterator();

See Also
  <hash>::contextIterator()

Since
  Qore 0.8.6.2

nothing <nothing>::firstKey | ( |  | ) |

Returns NOTHING.

Returns
  NOTHING

Code Flags:
  CONSTANT

Example:
  my *hash $h = hash_or_nothing();
  my *string $n = $h.firstKey();

See Also
  <hash>::firstKey()

Since
  Qore 0.8.7

nothing <nothing>::firstValue | ( |  | ) |

Returns NOTHING.

Returns
  NOTHING

Code Flags:
  CONSTANT

Example:
  my *hash $h = hash_or_nothing();
  my any $n = $h.firstValue();

See Also
  <hash>::firstValue()

Since
  Qore 0.8.7

bool <nothing>::hasKey | ( | softstring | key | ) |

Returns True if the key exists in the hash (may or may not be assigned a value), False if not.

Code Flags:
  CONSTANT

Parameters

  key | the key name to check

Returns
  True if the key exists in the hash (may or may not be assigned a value), False if not

Example:
  my *hash $h = hash_or_nothing();
  my bool $b = $h.hasKey($key);

See Also
  <hash>::hasKey(softstring)

Since
  Qore 0.8.7

bool <nothing>::hasKeyValue | ( | softstring | key | ) |

Returns True if the key exists and is assigned to a value, False if not.

Code Flags:
  CONSTANT

Parameters

  key | the key name to check

Returns
  True if the key exists and is assigned to a value, False if not

Example:
  my *hash $h = hash_or_nothing();
  my bool $b = $h.hasKeyValue($key);

See Also
  <hash>::hasKeyValue(softstring)

Since
  Qore 0.8.7

SingleValueIterator <nothing>::keyIterator | ( |  | ) |

Returns an empty SingleValueIterator object.

Returns
  an empty SingleValueIterator object

Code Flags:
  CONSTANT

Example:
  map printf("+ %y\n", $1), get_hash_or_nothing().keyIterator();

See Also
  <hash>::keyIterator()

Since
  Qore 0.8.6.2

list <nothing>::keys | ( |  | ) |

Returns an empty list.

Returns
  an empty list

Code Flags:
  CONSTANT

Example:
  my *hash $h = hash_or_nothing();
  my list $l = $h.keys();

See Also
  <hash>::keys()

Since
  Qore 0.8.7

nothing <nothing>::lastKey | ( |  | ) |

Returns NOTHING.

Returns
  NOTHING

Code Flags:
  CONSTANT

Example:
  my *hash $h = hash_or_nothing();
  my *string $n = $h.firstKey();

See Also
  <hash>::firstKey()

Since
  Qore 0.8.7

nothing <nothing>::lastValue | ( |  | ) |

Returns NOTHING.

Returns
  NOTHING

Code Flags:
  CONSTANT

Example:
  my *hash $h = hash_or_nothing();
  my any $n = $h.firstValue();

See Also
  <hash>::lastValue()

Since
  Qore 0.8.7

int <nothing>::lsize | ( |  | ) |

Returns 0.

Returns
  0

Code Flags:
  CONSTANT

Example:
  printf("iterating %d element%s\n", $val.lsize(), $val.lsize() == 1 ? "" : "s");
  foreach my any $element in ($val) {
  do_something($element);
  }

SingleValueIterator <nothing>::pairIterator | ( |  | ) |

Returns an empty SingleValueIterator object.

Returns
  an empty SingleValueIterator object

Code Flags:
  CONSTANT

Example:
  map printf("+ %y\n", $1), get_hash_or_nothing().pairIterator();

Since
  Qore 0.8.6.2

SingleValueIterator <nothing>::rangeIterator | ( |  | ) |

Returns an empty SingleValueIterator object.

Returns
  an empty SingleValueIterator object

Code Flags:
  CONSTANT

Example:
  map printf("+ %y\n", $1), get_list_or_nothing().rangeIterator();

See Also
  <list>::rangeIterator()

Since
  Qore 0.8.8

int <nothing>::typeCode | ( |  | ) |

Returns Qore::NT_NOTHING.

Returns
  Qore::NT_NOTHING

Code Flags:
  CONSTANT

Example:
  switch ($n.typeCode()) {
  case NT_NOTHING:
  printf("%y: no value\n", $n);
  break;
  }

list <nothing>::values | ( |  | ) |

Returns an empty list.

Returns
  an empty list

Code Flags:
  CONSTANT

Example:
  my *hash $h = hash_or_nothing();
  my list $l = $h.values();

See Also
  <hash>::values()

Since
  Qore 0.8.7